"use strict";

var winston = require("winston");

function Logger(logLevel) {
  var instance = {};
  instance.logger = winston.createLogger({
    level: logLevel,
    transports: [new winston.transports.Console()],
    format: winston.format.simple()
  });

  instance.debug = function (msg) {
    this.logger.debug(msg);
  };

  instance.error = function (msg, params) {
    this.logger.error("\n\n".concat(msg), params);
  };

  return instance;
}

module.exports = Logger;